server: 
  port: 9411 
  servlet: 
    context-path: /bio-serv
  compression:
    enabled: false
    
tkn:
  icar:
    outputFolder: /opt/icar/
    path: /home/icar_device_30.xml
    #path: icar_device_30.xml
    wsdl: https://idcloud.icarvision.com:50071/iCarSAAS.WsPublic/WsDocument.asmx?WSDL
    company: "02197"
    user: BuroID_PROD
    password: icarBID2018
  tas:
    user: Admin
    password: password
    url: http://172.20.133.14:28080/tas/rest/api/v1
    anverse: bid:Anverso
    reverse: bid:Reverso
    face: bid:Rostro
    identification: bid:IDENTIFICACION
    fingers: bid:Minucia
    reference: bid:REFERENCIA
    scan: bid:ScanId
    selfie: bid:Selfie
    recording: bid:Grabacion
    address: bid:Comprobante
    id: bid:OperationId
    casefile: bid:Expediente
    idType: bid:TipoID
    name: bid:Nombre
    surname: bid:PrimerApellido
    lastname: bid:SegundoApellido
    date: bid:Fecha
    contract: bid:Contrato
    signedContract: bid:ContratoFirmado
    singleFinger: bid:Dedo
  karalundi:
    host: https://13.58.109.129
    resource:
      face:
        startSesion: /kivoxWeb/rest/face/start-session
        enrollment: /kivoxWeb/rest/face/enroll-mf
        verifyMF: /kivoxWeb/rest/face/verify-mf
        endSession: /kivoxWeb/rest/face/end-session
        isTrained: /kivoxWeb/rest/face/is-trained
        deleteSpareSegments: /kivoxWeb/rest/face/delete-spare-segments
        identity: /kivoxWeb/rest/face/identify-mf
      finger:
        startSesion: /kivoxWeb/rest/finger/start-session
        enrollment: /kivoxWeb/rest/finger/enroll-mf
        disenroll: /kivoxWeb/rest/finger/disenroll
        verifyMF: //kivoxWeb/rest/finger/verify-mf
        endSession: /kivoxWeb/rest/finger/end-session
        isTrained: /kivoxWeb/rest/finger/is-trained
        deleteSpareSegments: /kivoxWeb/rest/finger/delete-spare-segments
        identity: /kivoxWeb/rest/finger/identify-mf
        update: /kivoxWeb/rest/finger/update-mf       
    
spring:
  application:
    name: bio-serv
  zipkin:
    baseUrl: http://172.20.133.14:9411/
  sleuth:
    sampler:
      probability: 1.0
  datasource:
    url: jdbc:mysql://172.20.133.14:3306/bid?useSSL=false
    username: root
    password: password
    driver-class-name: com.mysql.jdbc.Driver
    tomcat:
      test-while-idle: true
      validation-query: SELECT 1
    initialization-mode: never
    platform: mysql
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5Dialect
    hibernate:
      naming:
        physical-strategy: org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
      ddl-auto: validate
  servlet:
    multipart:
      max-file-size: 900MB
      max-request-size: 9000MB
      
sample:
  zipkin:
    #enabled: false

auth:
  datasource:
    url: jdbc:mysql://172.20.133.14:3306/oauth2?useSSL=false
    username: root
    password: password
    driver-class-name: com.mysql.jdbc.Driver
    tomcat:
      test-while-idle: true
      validation-query: SELECT 1
    initialization-mode: never
    platform: mysql

auth-server:
  url: http://172.20.133.14:8083

logging:
  level:
    ROOT: ERROR
    org.springframework.web: ERROR
    com.teknei.bid: INFO
  file:  /var/log/db-serv.log
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} - %msg%n"
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"
